# BTKN Token by ID

This endpoint returns detailed info & market data for a specific Spark BTKN token.

## GET /v1/spark/btkn/{identifier}/info

> Get token info and pool metadata for a specific Spark BTKN token by ID.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/spark/btkn/{identifier}/info":{"get":{"tags":["Spark"],"description":"Get token info and pool metadata for a specific Spark BTKN token by ID.","parameters":[{"schema":{"type":"string"},"in":"path","name":"identifier","required":true,"description":"BTKN token identifier"}],"responses":{"200":{"description":"Spark BTKN token info","content":{"application/json":{"schema":{"description":"Spark BTKN token info","type":"object","properties":{"tokenIdentifier":{"type":"string"},"tokenAddress":{"type":"string"},"name":{"type":"string"},"ticker":{"type":"string"},"decimals":{"type":"number"},"issuerPublicKey":{"type":"string"},"iconUrl":{"type":"string"},"holderCount":{"type":"number"},"priceUsd":{"type":"number"},"maxSupply":{"type":"number"},"isFreezable":{"type":"boolean"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"price":{"type":"number"},"poolInfo":{"type":"array","items":{"type":"object","properties":{"lpPublicKey":{"type":"string"},"hostName":{"type":"string"},"hostFeeBps":{"type":"number"},"lpFeeBps":{"type":"number"},"assetAAddress":{"type":"string"},"assetBAddress":{"type":"string"},"assetAReserve":{"type":"string"},"assetBReserve":{"type":"string"},"currentPriceAInB":{"type":"string"},"tvlAssetB":{"type":"string"},"volume24hAssetB":{"type":"string"},"priceChangePercent24h":{"type":"string"},"curveType":{"type":"string"},"initialReserveA":{"type":"string"},"bondingProgressPercent":{"type":"string"},"createdAt":{"type":"string"}}}}}}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/spark/btkn-tokens/btkn-token-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
